package readerwriter;

/**
 * <p>Title:        ReaderWriter
 * <p>Description:  Progettazione di un mini framework per la gestione generale
 * di risorse condivise in maniera concorrente in lettura/scrittura
 *
 * <p>Copyright:    Copyright (c) 2001
 * <p>Company:      Universita' degli studi di Milano (Facolta' di Informatica)
 *
 * @author Gabriele "SunGray" Lana
 * @version 1.0
 */

/**
 * L'eccezione viene sollevata quando l'applicazione necessita di un SemaphoredThread, per
 * eseguire determinati metodi particolari sincronizzati con l'uso di semafori
 */
public class SemaphoredThreadRequireException extends Exception
{

  /**
   * Constructs an Exception with no specified detail message.
   */
  public SemaphoredThreadRequireException()
  { super();
  }

  /**
   * Constructs an Exception with the specified detail message
   */
  public SemaphoredThreadRequireException(String s)
  { super(s);
  }

}